# cairo | agg
%define	renderer agg
# gst | ffmpeg
%define media gst

Name: gnash
Version: 0.8.6
Release: alt2
Summary: GNU Flash player
License: GPLv3
Group: Video
Url: http://www.gnu.org/software/gnash/

Requires: libgnash = %version-%release

Source: http://ftp.gnu.org/pub/gnu/%name/%version/%name-%version.tar.bz2
Source1: gnash-desktop-icons.tar.bz2

Patch0: gnash-0.8.5-alt-kde4.patch
Patch1: gnash-0.8.6-alt-kde3.patch
Patch2: gnash-0.8.5-alt-xdg.patch
Patch3: gnash-0.8.4-alt-utils.patch
Patch4: gnash-0.8.5-alt-link.patch
Patch5: gnash-0.8.5-alt-safedir.patch

BuildRequires(Pre): browser-plugins-npapi-devel
BuildRequires: boost-devel doxygen gcc-c++ gst-plugins-devel libSDL-devel libgif-devel libnspr-devel libjasper-devel
BuildRequires: libXt-devel libXv-devel libcairo-devel libcurl-devel libexpat-devel libgtk+2-devel libjpeg-devel
BuildRequires: libltdl-devel libspeex-devel zip kde4libs-devel libagg-devel kdelibs-devel

%description
Standalone GNU Flash Player.

%package klash
Group: Video
Summary: KDE Flash player
Requires: libgnash = %version-%release

%description klash
GNU Flash player for KDE.

%package klash4
Group: Video
Summary: KDE4 Flash player
Requires: libgnash = %version-%release

%description klash4
GNU Flash player for KDE4.

%package -n libgnash
Group: System/Libraries
Summary: Libraries for GNU Flash Player
Requires: gst-ffmpeg gst-plugins-bad gst-plugins-base gst-plugins-good gst-plugins-ugly

%description -n libgnash
Libraries for GNU Flash Player

%package -n lib%name-devel
Group: Development/C++
Summary: Development files and libraries for %name
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides files and library required to develop applications
that use gnash

%package -n mozilla-plugin-gnash
Group: Networking/WWW
Summary: GNU Flash Player plugin for Firefox and Mozilla
Requires: libgnash = %version-%release
Requires: gnash = %version-%release
Requires: browser-plugins-npapi

%description -n mozilla-plugin-gnash
GNU Flash Player plugin for Firefox and Mozilla

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

#subst "s|trunk|%version|" configure.ac

%build
%autoreconf
export MOC3=%_libdir/qt3/bin/moc
%configure \
	--enable-renderer=%renderer \
	--enable-media=%media \
	--with-npapi-plugindir=%browser_plugins_path \
	--enable-gui=gtk2,kde3,kde4 \
	--with-kde4-lib=%_libdir/kde4/devel \
	--with-kde4-incl=%_includedir/kde4 \
	--with-qt3-lib=%_libdir/qt3 \
	--disable-testsuite \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install install-plugin

tar -xjf %SOURCE1 -C %buildroot%_datadir/

rm -fr %buildroot%_libdir/%name/libmozsdk.so*
find %buildroot%_libdir/%name -name \*.la -delete

%find_lang %name

%files -f %name.lang
%doc AUTHORS NEWS README COPYING TODO
#%_bindir/gnash
%_bindir/gtk-gnash
%dir %_datadir/%name
%_datadir/%name/*.png
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.*
%_man1dir/%name.1*

%files klash
%_bindir/kde3-gnash
%_libdir/kde3/libklashpart.so
%_datadir/apps/klash
%_datadir/services/klash_part.desktop

%files klash4
%_bindir/kde4-gnash
%_libdir/kde4/libklashpart.so
%_datadir/kde4/apps/klash
%_datadir/kde4/services/klash_part.desktop

%files -n lib%name
%_sysconfdir/gnashrc
%_libdir/%name

%files -n lib%name-devel
%_includedir/%name
%_pkgconfigdir/*.pc

%files -n mozilla-plugin-%name
%_sysconfdir/gnashpluginrc
%browser_plugins_path/libgnashplugin.so

%changelog
* Tue Sep 29 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.6-alt2
- rebuild with browser-plugins-npapi-0.2

* Fri Sep 25 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.6-alt1
- 0.8.6

* Mon Sep 14 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5.11510-alt1
- bazaar revision 11510

* Wed Aug 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt7
- bazaar revision 11367

* Wed Jul 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt6
- bazaar revision 11259
- fixed build plugin for KDE3

* Tue Jul 14 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt5
- bazaar revision 11254

* Tue Jun 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt4
- rebuild with libpng12 1.2.37-alt2

* Tue Mar 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt3
- bazaar revision 10688

* Thu Mar 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt2
- 0.8.5 release

* Sun Mar 01 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt1.rc
- 0.8.5 RC

* Thu Feb 12 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt1.beta
- fixed plugin for KDE4

* Tue Feb 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt0.beta
- 0.8.5 beta

* Sun Nov 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt3
- klashpart: disabled debug messages

* Wed Nov 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt2
- bazaar revision 10356

* Tue Oct 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Thu Jun 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Sun Apr 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Fri Oct 05 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.1-alt1
- New version.

* Wed Jun 13 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.0-alt1
- New version

* Sun Feb 25 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.7.2-alt2
- Added dependancy for gnash to mozilla plugin (thanks ab@ for notice)

* Wed Nov 29 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.7.2-alt1
- 0.7.2 release 

* Sat Jan 14 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.7-alt0.cvs.20051211
- Initial build for ALT Linux.
